Bug 142711 - sysutils/ciso incorrectly assumes a 32-bit architecture
Summary: sysutils/ciso incorrectly assumes a 32-bit architecture
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-11 09:20 UTC by Jonathan Jacobs
Modified: 2010-02-08 22:03 UTC (History)
0 users

See Also:


Attachments
file.diff (1.05 KB, patch)
2010-01-11 09:20 UTC, Jonathan Jacobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Jacobs 2010-01-11 09:20:05 UTC
When attempting to decompress a compressed ISO file the sysutils/ciso port attempts to read a file header directly into a structure that assumes "unsigned long" to mean "unsigned 32-bit integer", specifically into fields that are later used to allocate memory. On a 64-bit system this results in attempts to allocate incorrectly huge amounts of memory.

Fix: Explicitly declare structure members as 32-bit integers.

Patch attached with submission follows:
How-To-Repeat: Attempt to decompress a compressed ISO file on a 64-bit platform such as amd64.
Comment 1 Edwin Groothuis freebsd_committer 2010-01-11 20:58:27 UTC
Maintainer of sysutils/ciso,

Please note that PR ports/142711 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142711

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-11 20:58:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-02-01 04:13:04 UTC
State Changed
From-To: feedback->open

Feedback timeout 19 days.
Comment 4 Pav Lucistnik freebsd_committer 2010-02-07 15:30:29 UTC
State Changed
From-To: open->closed

Committed, thanks
Comment 5 dfilter service freebsd_committer 2010-02-07 15:36:12 UTC
pav         2010-02-07 15:35:58 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/ciso        Makefile 
  Added files:
    sysutils/ciso/files  patch-ciso.h 
  Log:
  - Fix runtime on 64-bit platforms
  
  PR:             ports/142711
  Submitted by:   Jonathan Jacobs <jonathan+freebsd@jsphere.com>
  Approved by:    maintainer timeout (26 days)
  
  Revision  Changes    Path
  1.2       +2 -0      ports/sysutils/ciso/Makefile
  1.1       +23 -0     ports/sysutils/ciso/files/patch-ciso.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Vasiliy Ch 2010-02-08 14:29:22 UTC
Oh, I'm sorry.
I'm agree with patch submitted by Jonathan Jacobs.